# //////////////////////////////////////////////////////////////////////////////////////
#  WARRANTY: NONE. THIS PROGRAM WAS WRITTEN AS "SHAREWARE" AND IS AVAILABLE AS IS
#            AND MAY NOT WORK AS ADVERTISED IN ALL ENVIRONMENTS. THERE IS NO
#            SUPPORT FOR THIS PROGRAM
#      NOTE: YOU ARE STRONGLY ADVISED TO BACKUP YOUR DESIGN
#            BEFORE RUNNING THIS PROGRAM
#  TCL file: capGridOnOff_v1-0_share.tcl
#
#  File location : <installation dir>/tools/capture/tclscripts/capAutoLoad folder
#  Purpose       : This script adds the popup menus and keyboard shortcuts to  
#                  display/hide schematic and symbol grids.
#
#  Notes         : Works in schematic but changes display in symbol at the same time.
#                  Requires files Grid Display_ON.xml and Grid Display_OFF.xml
#                  Modify PATH_TO_YOUR_FILES to point to where the xml files are saved.
#
# //////////////////////////////////////////////////////////////////////////////////////

package require Tcl 8.4
package provide capGridOnOff_v1_0_share 1.0

namespace eval ::capGridUtils { 

    proc ::capGridUtils::st_JOM_Popup_Menu_Grid_ON {  } {
	Menu "Options::Preferences" | DialogBox  "OK" "PATH_TO_YOUR_FILES/Grid_Display_ON_v16_6.xml"
    }

    proc ::capGridUtils::st_JOM_Popup_Menu_Grid_OFF {  } {
	Menu "Options::Preferences" | DialogBox  "OK" "PATH_TO_YOUR_FILES/Grid_Display_OFF_v16_6.xml"
    }

# Activate menu in schematic or symbol.
    proc ::capGridUtils::shouldProcessPageorSymbol { args } {
      if { [IsSchematicViewActive] != 0 || [IsSymbolViewActive] != 0 } { return 1 }
    } 

	RegisterAction "Grid ON"  "::capGridUtils::shouldProcessPageorSymbol" "Ctrl+Q" "::capGridUtils::st_JOM_Popup_Menu_Grid_ON" "Schematic"
	RegisterAction "Grid OFF"  "::capGridUtils::shouldProcessPageorSymbol" "Ctrl+W" "::capGridUtils::st_JOM_Popup_Menu_Grid_OFF" "Schematic"
	RegisterAction "Grid ON"  "::capGridUtils::shouldProcessPageorSymbol" "Ctrl+Q" "::capGridUtils::st_JOM_Popup_Menu_Grid_ON" "Symbol"
	RegisterAction "Grid OFF"  "::capGridUtils::shouldProcessPageorSymbol" "Ctrl+W" "::capGridUtils::st_JOM_Popup_Menu_Grid_OFF" "Symbol"
}
